maskedcost.hh File Reference
`#include <mia/template/masked_cost.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 3d/maskedcost.hh:

Go to the source code of this file.

## Typedefs

typedef TMaskedCost< C3DImage, C3DBitImage, C3DFVectorfield > | C3DMaskedImageCost
| the image-to-image cost function base class
typedef TFactory< C3DMaskedImageCost > | C3DMaskedImageCostPlugin
| plug-in for the image-to-image cost function base class
typedef THandlerSingleton< TFactoryPluginHandler< C3DMaskedImageCostPlugin > > | C3DMaskedImageCostPluginHandler
| plug-in handler for the image-to-image cost function base class
typedef std::shared_ptr< C3DMaskedImageCost > | P3DMaskedImageCost
| pointer type of the image-to-image cost function base class